petsc-3.7.1 2016-05-15
Report Typos and Errors

# SNESNGSSetSweeps

Sets the number of sweeps of GS to use.

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESNGSSetSweeps(SNES snes, PetscInt sweeps)

### Input Parameters

| snes | - the SNES context Many br
| sweeps | - the number of sweeps of GS to perform. Many br

Many br

### Keywords

SNES, nonlinear, set, Gauss-Siedel

### See Also

SNESSetNGS(), SNESGetNGS(), SNESSetPC(), SNESNGSGetSweeps()

Level:intermediate
Location:src/snes/impls/gs/snesgs.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages